@tailwind base;
@tailwind components;
@tailwind utilities;

*,
:after,
:before {
  border: 0 solid #e0e0e0;
}

@layer components {
  /** Main Section */
  #main {
    @apply !cw-px-0;
  }

  /** Services Section */
  .filter-item {
    &:first-child {
      @apply cw-mt-4;
    }
    a {
      @apply cw-border cw-block cw-px-12 cw-py-4 cw-rounded-[50px] cw-text-[#20242C] cw-border-[#E0E0E0] cw-border-solid hover:cw-text-white hover:cw-border-[#0062FD] hover:cw-bg-[#0062FD] cw-leading-[22px] cw-text-[16px];
      &.active {
        @apply cw-border-[#0062FD] cw-bg-[#0062FD] cw-text-white hover:cw-opacity-90;
      }
    }
  }

  .cw-button {
    @apply cw-border cw-px-12 cw-py-4 cw-rounded-[50px] hover:cw-text-[#20242C] hover:cw-bg-transparent hover:cw-border-[#E0E0E0] cw-border-solid cw-text-white cw-border-[#0062FD] cw-bg-[#0062FD] cw-leading-[22px] cw-text-[16px] cw-no-underline cw-inline-block;
  }

  .cw-button-dark {
    @apply cw-border cw-px-12 cw-py-4 cw-rounded-[50px] hover:cw-text-[#20242C] hover:cw-border-[#E0E0E0] hover:cw-bg-transparent cw-border-solid cw-text-white cw-border-[#20242C] cw-bg-[#20242C] cw-leading-[22px] cw-text-[16px] cw-no-underline cw-inline-block;
  }

  .row-title {
    @apply cw-font-bold cw-leading-[50px] cw-pl-20 cw-relative;
    &::before {
      content: "";
      @apply cw-w-0 cw-h-0 cw-border-solid cw-border-t-[#20242C] cw-border-r-transparent cw-border-t-[22px] cw-border-r-[25px] cw-border-b-0 cw-border-l-0 cw-border-l-transparent cw-border-b-transparent cw-absolute cw-left-0 cw-top-0;
    }
  }

  .accordion-wrapper {
    .accordion-content {
      @apply cw-hidden cw-overflow-hidden;
    }
    .accordion-title {
      & > span {
        @apply cw-flex cw-items-center cw-justify-center;
        &::before {
          content: "";
          @apply cw-absolute cw-h-0.5 cw-w-4 cw-bg-[#20242C] cw-transform cw-transition;
        }
        &::after {
          content: "";
          @apply cw-absolute cw-h-4 cw-w-0.5 cw-bg-[#20242C] cw-transform cw-transition;
        }
      }
      &.active {
        & > span {
          &::before {
            @apply cw-rotate-45;
          }
          &::after {
            @apply cw-rotate-45;
          }
        }
      }
    }
  }

  /** Hero Section */
  .hero {
    @apply cw-leading-[32px] cw-text-[16px];
    h3 {
      @apply cw-font-bold cw-text-white cw-leading-[58px] cw-text-[40px];
    }
  }
  .cta-video {
    .wp-video {
      @apply !cw-w-full !cw-aspect-video;
    }
  }

  /** About Us Section */
  .about-us {
    .subheading {
      @apply cw-block cw-font-bold cw-text-[18px] cw-leading-[25px];
    }
    h3 {
      @apply cw-font-bold cw-leading-[58px] cw-text-[40px] !cw-my-0 !cw-mb-7 !cw-mt-5;
    }
  }

  /** Insights Area */
  .arrow-right {
    @apply cw-rotate-[315deg] cw-inline-block cw-relative cw-h-3 cw-w-3 cw-ml-4;
    &::before {
      content: "";
      @apply cw-w-[1px] cw-h-4 cw-bottom-[1px] cw-absolute cw-right-0 cw-origin-bottom -cw-rotate-45 cw-border-l-[1px] cw-border-inherit cw-border-solid cw-border-r-0 cw-border-b-0 cw-border-t-0;
    }
    &::after {
      content: "";
      @apply cw-inline-block cw-border-b-[1px] cw-border-solid cw-border-l-0 cw-border-t-0 cw-border-r-[1px] cw-right-0 cw-absolute cw-top-[8px] cw-w-1 cw-h-1 cw-border-inherit;
    }
    &-lg {
      @apply cw-h-5;
      &::before {
        @apply cw-h-5;
      }
      &::after {
        @apply cw-h-2 cw-w-2 cw-top-[12px];
      }
    }
  }

  /** Slider Section */
  .slider-section {
    .swiper-pagination {
      .swiper-pagination-bullet {
        @apply cw-w-[13px] cw-h-[13px] cw-bg-[#EBEBEB] cw-mx-4;
        &-active {
          @apply cw-bg-[#838891];
        }
      }
    }
  }

  /** Bottom CTA Section */
  .bottom-cta {
    .formcraft-css.formcraft-css {
      @apply !cw-pt-14;
      .powered-by {
        @apply !cw-hidden;
      }
      .fc-form {
        @apply cw-shadow-none;
        .form-page-content {
          @apply !cw-py-0 !cw-px-0 cw-grid cw-grid-cols-8 cw-gap-2;
        }
        .form-element {
          @apply cw-col-span-3 !cw-w-full;
          &.form-element-type-submit {
            @apply cw-col-span-2;
          }
          &-html {
            @apply cw-p-0;
          }
          .field-cover {
            input[type="text"] {
              @apply cw-border-solid !cw-border-white !cw-rounded-[100px] !cw-text-white !cw-py-5 !cw-px-8 cw-text-[18px] cw-leading-[25px];
            }
            &.oneLineText-cover,
            &.email-cover {
              &::after {
                content: "" !important;
              }
            }
          }
          .submit-cover {
            .submit-button {
              @apply cw-border-solid !cw-border-white !cw-border !cw-rounded-[100px] !cw-text-[#0062FD] !cw-py-5 !cw-px-8 cw-text-[18px] cw-leading-[25px] !cw-w-full hover:!cw-bg-transparent hover:!cw-text-white;
            }
          }
        }
      }
    }
  }
}
